
ceph-volume - Bug #38290

py2/py3 incompatibilities with set()

02/13/2019 11:37 AM - Joshua Schmid

Status: Resolved % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version: v14.0.0   

Source: Community (dev) Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Executed:

ceph-volume lvm batch --bluestore /dev/vdb --wal-devices /dev/vdc --db-devices /dev/vde

on python=3.6.5

-->  TypeError: unhashable type: 'Device'

File "/usr/lib/python3.6/site-packages/ceph_volume-1.0.0-py3.6.egg/ceph_volume/devices/lvm/strategies/bluestore.py", line 434,

in _validate_db_devs

self.blank_db_devs = set(self.db_or_journal_devs).difference(vg_members)

TypeError: unhashable type: 'Device

 

self.blank_db_devs = set(self.db_or_journal_devs).difference(..

set(self.db_or_journal_devs)

TypeError: unhashable type: 'Device'

 

(Pdb) type(self.db_or_journal_devs)

<class 'list'>

(Pdb) self.db_or_journal_devs

0

<Raw Device: /dev/vde>

 

When used with python2:

import ceph_volume.util.device as dv

set([dv.Device('/dev/vdb')])

set([<Raw Device: /dev/vdb>])

History

#1 - 02/13/2019 11:38 AM - Jan Fajerski

https://github.com/ceph/ceph/pull/26399

04/03/2024 1/2

https://github.com/ceph/ceph/pull/26399


#2 - 08/14/2019 08:39 AM - Rishabh Dave

Perhaps we should close this ticket since PR #26399 has merged?

#3 - 08/21/2019 07:20 AM - Jan Fajerski

- Status changed from New to Resolved
